Part Box/es: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Part Box|Name/es=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module/es|Part]], Complete|SeeAlso=[[Part_CreatePrimitives/es|Part CreatePrimitives]]}}
{{GuiCommand|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}


== Description ==
==Description==
A parametric [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid Rectangular cuboid] primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue. Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


[[Image:Part_Box.jpg|400px|Part_Box]]
== How to use ==


==How to Use==
In the workbench [[Part_Workbench|Part]] click on the cube icon [[Image:Part Box.png|32px]]. A cube with standard dimension and position will be created.
* Click the cube icon {{KEY|[[Image:Part Box.svg|30px]]}} from the Part Workbench.
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


== Options ==
==Options==
* Via the [[Property_editor | Property Editor]]:
The parametric rectangular cuboid is defined by the parameters
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
*length,
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
*width,
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
*height,
*as well as the standard set of Placement Parameters.
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]].
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
The default is a cube with parameter values for height, length and width being 10mm. The default placement values will locate the cuboid's local origin at the global origin (the location where all axis are 0) and the orientation such that
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]].
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


{{Properties_Title|Box}}
[[File:box.png|650px|a box created with the Box tool]]
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]
====Parameter====
* {{Parameter|Length:}} The length is the distance in the x-axis
* {{Parameter|Width:}} The width is the distance in the y-axis
* {{Parameter|Height:}} The height is the distance in the z-axis


==Scripting==
The Box command can by used in [[macros]] and from the python console using the following function:
<syntaxhighlight>
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
</syntaxhighlight>
* Where "myBox" is the label for the Box object.
* Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
<syntaxhighlight>
FreeCAD.ActiveDocument.myBox.length = 25
FreeCAD.ActiveDocument.myBox.width = 15
FreeCAD.ActiveDocument.myBox.height = 30
</syntaxhighlight>
==FreeCAD - Version==
==FreeCAD - Version==


*{{Version|0.14}}

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


*{{Version|0.14}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


{{clear}}
{{clear}}

Revision as of 19:55, 6 September 2015

Part Box

Menu location
Part → Box
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

How to Use

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DatosPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement.
  • DatosLabel: Label given to the Box object. Change to suit your needs.

Box

  • DatosLength: The length parameter is the Box's dimension in the x-direction.
  • DatosWidth: The width parameter is the Box's dimension in the y-direction.
  • DatosHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.length = 25
FreeCAD.ActiveDocument.myBox.width = 15
FreeCAD.ActiveDocument.myBox.height = 30

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".